return function ($app, ws, $scope, $location, $translate, toaster) {
	$scope.submit = function() {
		if($scope.valid()) {
			ws.create_reseller($scope.reseller).then(function(json) {
				$app.jump('/resellers');
				toaster.success($translate.instant('global.created'));
			}).catch($app.default_error_handler);
		}
	};

	$scope.check_strength = function(name, string) {
		if ($scope.score == undefined) {
			$scope.score = [];
		}
		if(string) {
			ws.check_strength(string).then(function(score) {
				$scope.score[name] = score.data;
			});
		} else {
			$scope.score[name] = 0
		}
	}

	$scope.cancel = function() {
		$app.jump('/resellers');
	};

	$app.creating($scope);

	ws.settings().then(function(json) {
		$scope.settings = json.data.settings;
		if(!$scope.settings.username) {
			$scope.style = { display: 'block' };
		}
	});

	$scope.valid = function() {
		if($scope.reseller == undefined ||
			$scope.reseller.name == undefined ||
			$scope.reseller.name.length == 0
		) {
			toaster.error($translate.instant('reseller.name.invalid'));
			return false;
		} else if ($scope.reseller.password == undefined || $scope.reseller.password.length == 0) {
			toaster.error($translate.instant('reseller.password.empty'));
			return false;
		} else if($scope.reseller.confirm_password == undefined || $scope.reseller.confirm_password.length == 0) {
			toaster.error($translate.instant('reseller.confirm_password.empty'));
			return false;
		} else if($scope.reseller.confirm_password != $scope.reseller.password) {
			toaster.error($translate.instant('reseller.passwords.no_match'));
			return false;
		} else if($scope.reseller.email == undefined || $scope.reseller.email.length == 0) {
			toaster.error($translate.instant('reseller.email.invalid'));
			return false;
		} else if($scope.reseller.company_name == undefined || $scope.reseller.company_name.length == 0) {
			toaster.error($translate.instant('reseller.company_name.invalid'));
			return false;
		} else if($scope.reseller.displayname == undefined || $scope.reseller.displayname.length == 0) {
			toaster.error($translate.instant('reseller.displayname.invalid'));
			return false;
		}
		return true;
	}
};
