return function ($app, ws, $scope, $rootScope, $translate, $sce) {
	$rootScope.numevents = 0;

	var append = function (event) {
		if ($scope.events != undefined) {
			event.displaytype = $translate.instant("event.type."+event.event);
			event.displaymessage = $sce.trustAsHtml($translate.instant("event."+event.event, event.data));
			$scope.events.push(event);
			$scope.events.sort(function(left, right) { return right.id - left.id; });
			$scope.events.splice(-1, $scope.events.length - 100);
		}
	};

	ws.on('container-created', append, $scope);
	ws.on('container-started', append, $scope);
	ws.on('container-stopped', append, $scope);
	ws.on('container-removed', append, $scope);
	ws.on('container-renamed', append, $scope);
	ws.on('container-system-name-changed', append, $scope);
	ws.on('container-status-changed', append, $scope);
	ws.on('container-extensions-changed', append, $scope);
	ws.on('container-version-changed', append, $scope);
	ws.on('container-serial-changed', append, $scope);
	ws.on('container-license-error', append, $scope);
	ws.on('container-owner-changed', append, $scope)
	ws.on('error', append, $scope);

	ws.events().then(function(json) {
		json.data.forEach(function(event) {
			event.displaytype = $translate.instant("event.type."+event.event);
			event.displaymessage = $translate.instant("event."+event.event, event.data);
		});
		$scope.events = json.data;
	});

	$scope.go = function(destination) {
		$app.jump(destination);
	};

	$app.listing();
};
