return function ($app, ws, $scope, $translate, toaster) {
	$scope.submit = function() {
		if($scope.valid()) {
			ws.update_profile($scope.profile).then(function(json) {
				toaster.success($translate.instant('global.saved'));
			}).catch($app.default_error_handler);
		}
	};

	ws.profile().then(function(json) {
		$scope.profile = json.data;
	});
	$app.editing($scope);

	$scope.check_strength = function(name, string) {
		if ($scope.score == undefined) {
			$scope.score = [];
		}
		if(string) {
			ws.check_strength(string).then(function(score) {
				$scope.score[name] = score.data;
			});
		} else {
			$scope.score[name] = 0
		}
	}

	$scope.valid = function() {
		if (!(($scope.profile.password == undefined || $scope.profile.password.length == 0) &&
			($scope.profile.confirm_password == undefined || $scope.profile.confirm_password.length == 0)) &&
			$scope.profile.confirm_password != $scope.profile.password
		) {
			toaster.error($translate.instant('profile.passwords.no_match'));
			return false;
		} else if($scope.profile.username == undefined || $scope.profile.length == 0) {
			toaster.error($translate.instant('profile.username.empty'));
			return false;
		} else if($scope.profile.email == undefined || $scope.profile.email.length == 0) {
			toaster.error($translate.instant('profile.email.invalid'));
			return false;
		}
		return true;
	}
};
