return function ($app, ws, $scope, $filter, $translate, $mdDateLocale) {
	$app.listing();
	$scope.methods = $scope.options = [
		{ 'id':'month_to_date', 'name' :$translate.instant('reports.month_to_date') },
		{ 'id':'current', 		'name' :$translate.instant('reports.current') 		},
		{ 'id':'estimated', 	'name' :$translate.instant('reports.estimated') 	}
	];

	$scope.tooltips = [
		{ 'name': 'reports.month_to_date', 'description': 'reports.month-to-date.description' },
		{ 'name': 'reports.current', 'description': 'reports.current.descriptions' },
		{ 'name': 'reports.estimated', 'description': 'reports.estimated.description' },
		{ 'name': 'reports.full_month', 'description': 'reports.full_month.description' },
	];
	$scope.historical = [ { 'id':'historical', 'name' :$translate.instant('reports.full_month')	} ];
	$scope.selected_method = $scope.methods[0];
	$scope.Mydate = new Date();
	$mdDateLocale.formatDate = function() {
		return $filter('date')($scope.Mydate, "MM/y");
	};
	$scope.max_date = $scope.Mydate;
	$scope.submit = function() {
		mode = null;
		if($scope.selected_method) {
			mode = $scope.selected_method.id;
		}
		ws.generate_report({
			'date': $filter('date')($scope.Mydate, "yyyy-MM"),
			'mode': mode
		}).then(function(json) {
			download_file(json.data.data, json.data.filename);
		}).catch($app.default_error_handler);
	};

	var download_file = function(content, filename) {
		var a = document.createElement("a");
		document.body.appendChild(a); // needed for Firefox
		a.style = "display: none";
		var csv = new Blob([content], { type: 'text/csv' });
		a.href = URL.createObjectURL(csv);
		a.download = filename;
		a.click();
	};

	$scope.on_date_change = function() {
		if(!$scope.selected_method) {
			$scope.selected_method = [];
		}
		current_date = new Date();
		if(($scope.Mydate.getYear() < current_date.getYear()) ||
			($scope.Mydate.getYear() == current_date.getYear()) &&
			$scope.Mydate.getMonth() < current_date.getMonth()
		) { // historical only
			$scope.methods = $scope.historical;
			this.optionsEnabled = true;
		} else {
			$scope.methods = $scope.options;
			this.optionsEnabled = false;
		}
		$scope.selected_method = $scope.methods[0];
	}
	$app.creating($scope, 'footer.download');
};
