return function ($app, ws, $q, $scope, $routeParams, $location, $mdDialog, $translate, toaster, reseller_srv) {
	$q.all([
		ws.reseller($routeParams.uuid),
		ws.settings(),
	]).then(([reseller, settings]) => {
		$scope.reseller = reseller.data;
		$scope.settings = settings.data.settings;
		if(!$scope.settings.username) {
			$scope.style = { display: 'block' };
		}
	}).catch($app.default_error_handler);

	$scope.remove = function() {
		$mdDialog.show(reseller_srv.confirm({'name' : $scope.reseller.name})).then(function(result) {
			if(result == true) {
				ws.remove_reseller($routeParams.uuid).then(function() {
					$app.jump('/resellers');
				});
			}
		}, function() {});
	};

	$scope.submit = function() {
		if($scope.valid()) {
			ws.update_reseller($scope.reseller).then(function() {
				$app.jump('/resellers');
			}).catch($app.default_error_handler);
		}
	};

	$scope.cancel = function() {
		$app.jump('/resellers');
	};

	$scope.check_strength = function(name, string) {
		if ($scope.score == undefined) {
			$scope.score = [];
		}
		if(string) {
			ws.check_strength(string).then(function(score) {
				$scope.score[name] = score.data;
			});
		} else {
			$scope.score[name] = 0
		}
	}

	$app.editing($scope);

	$scope.valid = function() {
		if(($scope.reseller.password != undefined &&
			$scope.reseller.password.length > 0) ||
			($scope.reseller.confirm_password != undefined &&
			$scope.reseller.confirm_password.length > 0)
		) {
			if($scope.reseller.confirm_password == undefined ||
				$scope.reseller.confirm_password != $scope.reseller.password
			) {
				toaster.error($translate.instant('reseller.passwords.no_match'));
				return false;
			}
		} else if($scope.reseller.email == undefined || $scope.reseller.email.length == 0) {
			toaster.error($translate.instant('reseller.email.invalid'));
			return false;
		} else if($scope.reseller.company_name == undefined || $scope.reseller.company_name.length == 0) {
			toaster.error($translate.instant('reseller.company_name.invalid'));
			return false;
		} else if($scope.reseller.displayname == undefined || $scope.reseller.displayname.length == 0) {
			toaster.error($translate.instant('reseller.displayname.invalid'));
			return false;
		}
		return true;
	}
}
