return function ($app, ws, $scope, $translate, toaster, $mdDialog, $location, reseller_srv) {
	$app.listing();

	$scope.go = function(destination) {
		$app.jump(destination);
	};

	ws.on('reseller-created', function(event) {
		if ($scope.tenants != undefined) {
			$scope.resellers.push(event.data);
		} else {
			$scope.tenants = [event.data];
		}
		toaster.success($translate.instant('reseller.created'));
	}, $scope);

	ws.on('reseller-removed', function(event) {
		if ($scope.resellers != undefined) {
			$scope.resellers.withUUID(event.data.uuid, function(reseller, i, resellers) {
				resellers.splice(i, 1);
				toaster.success($translate.instant('reseller.removed'));
			});
		}
	}, $scope);

	var get_resellers = function() {
		ws.resellers().then(function(json) {
			$scope.resellers = json.data;
			$scope.resellers.sort(function(a, b) {
				if(a.name < b.name) {
					return -1;
				}
				if(a.name > b.name) {
					return 1;
				}
				return 0
			});
		});
	};

	get_resellers();

	$scope.remove_reseller = function(uuid, name) {
		var data = {};
		data.name = name;
		$mdDialog.show(reseller_srv.confirm(data)).then(function(result) {
			if(result) {
				ws.remove_reseller(uuid).then(function() {
					get_resellers();
				});
			}
		}, function() {});
	};
};
