<html lang="en" ng-app="app">
<head>
	<base href="/">
	<meta charset="utf-8">
	<meta http-equiv="Cache-control" content="No-Cache">
	<title>Xorcom MT Manager</title> <!-- TODO: move to theme -->
	<link rel="stylesheet" href="/font-awesome/css/all.css" />
	<link rel="stylesheet" href="/bootstrap.css" />
	<link rel="stylesheet" href="/style.css?v=<?php echo stat('res/style.css')['mtime'] ?>" />
	<link rel="stylesheet" href="/angular-material.css" />
	<link rel="stylesheet" href="/angular-toastr.css" />
	<link rel="stylesheet" href="/isteven-multi-select.css">
</head>
<body ng-cloak ng-controller="navbar" ng-class="{'collapsed': collapse, 'loading': !connected || !localization_loaded}">
<header ng-hide="current_view == 'login'">
	<a href="/" class="home" translate>header.home-button
		<md-tooltip md-direction="right">
			{{ 'menu.home' | translate }}
		</md-tooltip>
	</a>
	<button class="navbar-toggler" type="button" ng-click="toggle_collapse()"><i class="fa fa-bars fa-fw"></i></button>
	<span class="buttons">
		<a href="#" class="warning" ng-click="toggle_notifications()"><i class="fa fa-bell fa-fw">
			<md-tooltip md-direction="left">
				{{ 'menu.notifications' | translate }}
			</md-tooltip></i>
		</a>
		<button ng-click="profile_menu($event)" class="profile"><i class="fa fa-user-circle fa-fw"></i></button>
	</span>
</header>

<aside ng-controller="aside" ng-class="{'collapsed': collapse, 'expanded': !collapse}" ng-hide="current_view == 'login'">
	<a href="#" ng-click="go('/tenants')" ng-class="{'active':current_view == 'tenants'}"><i class="fa fa-sitemap fa-fw"></i><span translate>menu.tenants</span></a>

	<a href="#" ng-click="go('/resellers')" ng-class="{'active':current_view == 'resellers'}" ng-show="is_system_owner"><i class="fa fa-male fa-fw"></i><span translate>menu.resellers</span></a>
	<a href="#" ng-click="sub_settings_open = ! sub_settings_open" ng-class="{'active':current_view == 'settings' || current_view == 'did_routing'}" ng-show="is_system_owner"><i class="fa fa-cogs fa-fw"></i><span translate>menu.settings</span></a>
	<ul class="sub-menu" ng-show="is_system_owner && sub_settings_open && !collapse">
		<li><a href="#" ng-class="{'active':current_view == 'settings'}" ng-click="go('/settings')"  translate>menu.general</a></li>
		<li><a href="#" ng-class="{'active':current_view == 'did_routing'}" ng-click="go('/did_routing')" translate>menu.did_routing</a></li>
	</ul>
	<a href="#" ng-click="go('/reports')" ng-class="{'active':current_view == 'reports'}" ng-show="is_system_owner"><i class="fa fa-list-alt fa-fw"></i><span translate>menu.reports</span></a>
	<a href="#" ng-click="go('/event-log')" ng-class="{'active':current_view == 'event-log', 'notify' : numevents > 0 }"><i class="fal fa-file-alt fa-fw"></i><span translate>menu.event-log</span></a>
</aside>

<section ng-view ng-class="current_view"></section>

<footer ng-controller="footer" ng-show="visible">
	<button ng-click="reset()" class="btn button-reset" ng-show="reset" translate>footer.reset</button>
	<button ng-click="remove()" class="btn btn-danger" ng-show="remove" translate>footer.delete</button>
	<button ng-click="cancel()" class="btn button-cancel" ng-show="cancel" translate>{{cancel_label}}</button>
	<button ng-click="submit()" class="btn button-create" ng-show="submit" translate>{{confirm_label}}</button>
</footer>

<div popup class="popup" ng-class="{'show': show}">
	<h2 translate>global.error</h2>
	<ul ng-repeat="error in errors">
		<li>{{error}}</li>
	</ul>
	<div><button type="button" class="btn btn-primary" ng-click="hide_about()">Close</button></div>
</div>
<div ng-controller="dimmer" ng-class="{'dim' : about_visible }" ng-click="hide_about()"></div>
<div ng-controller="about" ng-show="about_visible" class="modal_about">
	<div class="about-content">
		<div class="modal-header">
			<button type="button" class="close" ng-click="hide_about()" aria-hidden="true">&times;</button>
		</div>
		<div class="modal-body">
			<img src="/themes/mt/img/logo.png"> <!-- TODO: get by theme -->
			<span>
				<label>{{text}}</label>
			</span>
		</div>
	</div>
</div>

<script src="/javascript/jquery/jquery.js"></script>
<script src="/angular.js"></script>
<script src="/isteven-multi-select.js"></script>
<script src="/angular-route.js"></script>
<script src="/angular-translate.js"></script>
<script src="/angular-animate.js"></script>
<script src="/angular-aria.js"></script>
<script src="/angular-messages.js"></script>
<script src="/angular-material.js"></script>
<script src="/angular-toastr.tpls.js"></script>
<script src="/angular-sanitize.js"></script>
<script src="/ui-bootstrap-tpls.js"></script>
<script src="/dirPagination.js"></script>
<script src="/services.js?v=<?php echo stat('services.js')['mtime'] ?>"></script>
<script src="/app.js?v=<?php echo stat('app.js')['mtime'] ?>"></script>

</body>
</html>
